Bug 170995 - Review Request: system-config-control - System Control Center
Review Request: system-config-control - System Control Center
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Package Reviews List
http://prdownloads.sourceforge.net/in...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-17 04:06 EDT by Ankit Patel
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-20 07:26:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ankit Patel 2005-10-17 04:06:57 EDT
Spec Name or Url: http://prdownloads.sourceforge.net/indianoss/system-config-control.spec?download
SRPM Name or Url: http://prdownloads.sourceforge.net/indianoss/system-config-control-1.0-3.src.rpm?download
Description: System-config-control provides an organized and centralized interface to all of Fedora's configuration utilities. It also hooks into firstboot, allowing these tools to be run after initial installation.
Comment 1 Ankit Patel 2005-10-19 01:13:18 EDT
This is my first package, and i need sponser !
Comment 2 Tom "spot" Callaway 2005-10-24 22:19:44 EDT
Review: 

Good:

- rpmlint checks return:
W: system-config-control no-documentation

( safe to ignore )

E: system-config-control script-without-shellbang
/usr/share/system-config-control/system-config-control.glade
E: system-config-control script-without-shellbang
/usr/share/system-config-control/system-config-control.gladep

( false positives, glade files are not scripts ) 

W: system-config-control symlink-should-be-relative
/usr/share/firstboot/modules/system-config-control.py
/usr/share/system-config-control/system-config-control.py

( ok by me. )

E: system-config-control script-without-shellbang
/usr/share/system-config-control/system-config-control.py

( Doesn't seem to affect runtime, so I'm ok )

W: system-config-control no-dependency-on usermode-consoleonly

( safe to ignore )

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent (one minor exception)
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop file ok, handled properly

Minor items:

- In %clean, please use %{name} instead of %name for macro consistency.
- There is no need for the Requires(post) and Requires(postun). This is actually
my fault, since I accidentally put them in there when I was helping with the
pre-review cleanup. Sorry bout that.
- Don't use prdownloads.sourceforge.net, use download.sourceforge.net. 

You might also want to consider using the %{?dist} tag at the end of the
release. This will help you use one spec for all branches of Fedora Core,
without artificially inflating the release number. See:
http://fedoraproject.org/wiki/DistTag

You also should consider including some documentation in the upstream source
(and in the package as %doc), especially, a copy of the GPL text in LICENSE.

Otherwise, this package looks good. Approved, as long as you fix those three
minor items before commit.

I will also sponsor you, please do your paperwork. :)
Comment 3 Ville Skyttä 2005-10-25 01:40:31 EDT
script-without-shellbang warnings are usually a sign of executable text files 
(without the shebang) and should be fixed. 
Comment 4 Ankit Patel 2005-10-25 03:43:26 EDT
I have corrected the changes you all want. Download links are still same. Can
you please check it again and let me know about the next procedure/thing for me.
Comment 5 Ankit Patel 2005-11-07 01:46:13 EST
ping
Comment 6 Rahul Sundaram 2005-11-07 08:06:09 EST
can you rename your package system-config-controlcenter. I am not sure the
current  name is specific enough.
Comment 7 Ankit Patel 2005-11-07 08:34:31 EST
Renamin of package is not a big task. But i need the confirmation from the
reviewer if he really wants. After confirmation i will resubmit the package.
Comment 8 Ankit Patel 2005-11-10 03:42:53 EST
I got the CVS access to fedora-extras. Do i need any confirmation or APPROVAL to
start my work into the CVS repository?
Comment 9 Warren Togami 2005-11-16 22:11:23 EST
I am not branching this in CVS without an explicit approval.
Ankit, aren't you a Red Hat employee?  Would you please use your redhat.com
address for your Bugzilla account?  It makes it easier for us to keep track of
what is going on in the project.
Comment 10 Tom "spot" Callaway 2005-11-16 22:17:08 EST
I set it to FE-ACCEPT, i said it was Approved. If the packager wants to rename
it, that is as their discretion.
Comment 11 Ankit Patel 2005-11-20 05:39:00 EST
This package is now available for FE4 and FE-devel both. So, should i resolve
this bug as NEXTRELEASE ?
Comment 12 Rahul Sundaram 2005-11-20 07:26:55 EST
Yes. Doing so now.
Comment 13 Christian Iseli 2006-10-18 08:44:32 EDT
Normalize summary field for easy parsing

Note You need to log in before you can comment on or make changes to this bug.